/*
 * Written by Sebastian Tilders
 * Licensed under the GPL (General Public License)
 * Project name: InfoOS
 */
#ifndef _display_h
#define _display_h
#include "typedefs.h"
// Funktiondefinition
void cls(void);
void s_line_print(char text[]);
void put_char(char c,int color);
void print(char text[], int color);
void print_right(char text[]);
char* int2hex_ascii(uint32_t z);	
char* int2ascii(uint32_t z);

// Farben
#define DSP_COLOR_GRAY 0x7
#define DSP_COLOR_WHITE 0xF
#define DSP_COLOR_BLUE 0x1
#define DSP_COLOR_LIGHTBLUE 0x9
#define DSP_COLOR_GREEN 0x2
#define DSP_COLOR_LIGHTGREEN 0xA
#define DSP_COLOR_RED 0x4
#define DSP_COLOR_LIGHTRED 0xC
#define DSP_COLOR_CYAN 0x3
#define DSP_COLOR_LIGHTCYAN 0xD
#define DSP_COLOR_MAGENTA 0x5
#define DSP_COLOR_LIGHTMAGENTA 0xD
#define DSP_COLOR_YELLOW 0xE
// ENDE
#endif
