// /*
//  * Written by Sebastian Tilders
//  * Licensed under the GPL (General Public License)
//  * Project name: InfoOS
//  */
#ifndef _h_interrupts
#define _h_interrupts
#include "typedefs.h"
#include "display.h"
#include "ports.h"
// CPU - Register
struct cpu_state
{
	// asm_stub gesicherte register
	uint32_t eax;
	uint32_t ebx;
	uint32_t ecx;
	uint32_t edx;
	uint32_t esi;
	uint32_t edi;
	uint32_t ebp;
	
	uint32_t intr;
	uint32_t error;
	// Von der CPU auf Stack gesichert.
	uint32_t eip;
	uint32_t cs;
	uint32_t eflags;
	uint32_t esp;
	uint32_t ss;
};
extern void intr_stub_0(void);
extern void intr_stub_1(void);
extern void intr_stub_2(void);
extern void intr_stub_3(void);
extern void intr_stub_4(void);
extern void intr_stub_5(void);
extern void intr_stub_6(void);
extern void intr_stub_7(void);
extern void intr_stub_error_code_8(void);
extern void intr_stub_9(void);
extern void intr_stub_error_code_10(void);
extern void intr_stub_error_code_11(void);
extern void intr_stub_error_code_12(void);
extern void intr_stub_error_code_13(void);
extern void intr_stub_error_code_14(void);
extern void intr_stub_15(void);
extern void intr_stub_16(void);
extern void intr_stub_error_code_17(void);
extern void intr_stub_18(void);

extern void intr_stub_32(void);
extern void intr_stub_33(void);
extern void intr_stub_34(void);
extern void intr_stub_35(void);
extern void intr_stub_36(void);
extern void intr_stub_37(void);
extern void intr_stub_38(void);
extern void intr_stub_39(void);
extern void intr_stub_40(void);
extern void intr_stub_41(void);
extern void intr_stub_42(void);
extern void intr_stub_43(void);
extern void intr_stub_44(void);
extern void intr_stub_45(void);
extern void intr_stub_46(void);
extern void intr_stub_47(void);
extern void intr_stub_48(void);
#endif
