/*
 * Written by Sebastian Tilders
 * Licensed under the GPL (General Public License)
 * Project Name: InfoOS
 */
#include "../header/typedefs.h"
// Port kommunikation
void outb(uint16_t port, uint8_t data)
{
	asm volatile("out %0, %1" : : "Nd" (port), "a" (data));	
	return;
}
uint8_t inb(uint16_t port, uint8_t data)
{
	uint8_t result;
	asm volatile("in %0, %1" : "=a" (result) : "d" (port));
	return result;
}